%define upstream_name Inline-C
%define upstream_version 0.82

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Write Perl Subroutines in C
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Inline/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 7.0.0
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(Inline) >= 0.860.0
BuildRequires: perl(Parse::RecDescent) >= 1.967.9
BuildRequires: perl(Pegex) >= 0.660.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warn) >= 0.230.0
BuildRequires: perl(YAML::XS)
BuildRequires: perl(autodie)
BuildRequires: perl(version) >= 0.770.0
BuildRequires: perl-devel
BuildArch:  noarch

%description
"Inline::C" is a module that allows you to write Perl subroutines in C.
Since version 0.30 the Inline module supports multiple programming
languages and each language has its own support module.

If you want to start working with programming examples right away, check
out Inline::C::Cookbook. For more information on Inline in general, see
Inline.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README example
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.820.0-4.mga10
+ Revision: 2214348
- Mageia 10 Mass Rebuild
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 0.820.0-2.mga9
+ Revision: 1821693
- Mageia 9 Mass Rebuild

* Fri Mar 04 2022 tv <tv> 0.820.0-1.mga9
+ Revision: 1788362
- update to 0.82

* Sat Feb 15 2020 umeabot <umeabot> 0.810.0-2.mga8
+ Revision: 1526802
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 tv <tv> 0.810.0-1.mga8
+ Revision: 1416075
- update to 0.81

* Sun Apr 21 2019 shlomif <shlomif> 0.800.0-1.mga7
+ Revision: 1394443
- update to 0.80

* Thu Sep 20 2018 umeabot <umeabot> 0.780.0-4.mga7
+ Revision: 1284381
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.780.0-3.mga7
+ Revision: 1165009
- rebuild with fixed rpm for missing autodeps

* Sat Sep 02 2017 tv <tv> 0.780.0-2.mga7
+ Revision: 1150610
- rebuild for fixed perl

* Fri Jul 21 2017 sander85 <sander85> 0.780.0-1.mga7
+ Revision: 1126110
- update to 0.78

* Sun Jun 19 2016 pterjan <pterjan> 0.760.0-3.mga6
+ Revision: 1028556
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.760.0-2.mga6
+ Revision: 968277
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 0.760.0-1.mga6
+ Revision: 851926
- update to 0.76

* Sun Jun 21 2015 sander85 <sander85> 0.750.0-1.mga6
+ Revision: 837061
- update to 0.75

* Wed Oct 15 2014 umeabot <umeabot> 0.620.0-3.mga5
+ Revision: 746163
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.620.0-2.mga5
+ Revision: 685131
- Mageia 5 Mass Rebuild

* Mon Jul 21 2014 sander85 <sander85> 0.620.0-1.mga5
+ Revision: 655142
- update to 0.62

* Fri Jul 18 2014 sander85 <sander85> 0.610.0-1.mga5
+ Revision: 653606
- update to 0.61

* Tue Jul 15 2014 sander85 <sander85> 0.600.0-1.mga5
+ Revision: 653121
- imported package perl-Inline-C

